// Generator version : v3.1
// Generation time   : 2024.12.07 08:59:44
// DBC filename      : DMK-RP-01_CAN_V0.1_20241118.dbc
#include "scm_canmatrix-binutil.h"

// DBC file version
#if (VER_CANMATRIX_MAJ != (0U)) || (VER_CANMATRIX_MIN != (0U))
#error The SCM_CANMATRIX binutil source file has inconsistency with core dbc lib!
#endif

#ifdef __DEF_SCM_CANMATRIX__

scm_canmatrix_rx_t scm_canmatrix_rx;

scm_canmatrix_tx_t scm_canmatrix_tx;

#endif // __DEF_SCM_CANMATRIX__

uint32_t scm_canmatrix_Receive(scm_canmatrix_rx_t* _m, const uint8_t* _d, uint32_t _id, uint8_t dlc_)
{
 uint32_t recid = 0;
 if (_id == 0x201U) {
  recid = Unpack_Panel_Key_CANmatrix(&(_m->Panel_Key), _d, dlc_);
 }

 return recid;
}

